VelocityReport Plugin - Defect #4

TempServlet is creating temp file in /tmp reports folder

06/23/2010 02:55 AM - Patrick Talbot

Status: Closed
Priority: Low
Assignee: Patrick Talbot
Category: overall

Target version:

Browser (if web
client):

Start date: 06/23/2010
Due date:

% Done: 0%
Estimated time: 0.00 hour

Description

Difficult to avoid, but right now these temp files will live until the server is restarted - using .deleteOnExit();

A hash/UUID mechanism would be needed + check for lastModified() to avoid recreating new ones if not changed.

History

#1 - 06/23/2010 02:56 AM - Patrick Talbot
- Assignee set to Patrick Talbot

- Target version set to v2.0

#2 - 06/24/2010 11:55 PM - Patrick Talbot

- Category set to for reference

#3 - 06/25/2010 08:17 AM - Patrick Talbot

- Category changed from for reference to overall

#4 - 07/18/2010 01:15 AM - Patrick Talbot

- Priority changed from Normal to Low

#5 - 03/03/2012 06:39 PM - Patrick Talbot
- Target version deleted (v2.0)

- Client type set to Any

- In developer? set to No

- Servoy version set to Any

- Component version set to Any

- OS version set to Any

- Java version set to Any

#6 - 02/28/2019 10:11 PM - Patrick Talbot

- Status changed from New to Closed

In v3.5.64 the temp files are deleted immediately after being served.
